Bug 58588 - mozilla initial geometry (startup position) ignored
mozilla initial geometry (startup position) ignored
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-20 17:30 EST by Karl Berry
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 03:00:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 20573 None None None Never

  None (edit)
Description Karl Berry 2002-01-20 17:30:36 EST
Description of Problem:
mozilla (and netscape 6 for that matter) apparently ignores the geometry string
at startup.  i've tried the -geometry command line option, as well as -xrm
*geometry, Mozilla*geometry, Netscape*geometry, Netscape6.geometry, and other
such variations.  i've tried changing values in ~/.Xdefaults file removing
~/.Xdefaults altogether.  nothing makes a difference.

both the widthxheight and the +x+y parts of the geometry specification are
ignored.  the explicit -width and -height options do take effect in some
circumstances, although mozilla seems to prefer the window size at last exit of
the program. i haven't found any way at all to specify a startup xy position.

Version-Release number of selected component (if applicable):
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901, build 20010$

How Reproducible:
Steps to Reproduce:
1. mozilla -geometry 100x200+0+0 

Actual Results:
a window whose size is that at the last mozilla exit, randomly positioned.

Expected Results:
a window whose size is 100x200, placed at +0+0.

Additional Information:
i'm currently using the fvwm2 window manager. the problem also occurs with twm
and under gnome/sawfish.

with fvwm2, i've tried both and without several style parameters:
Style * NoPPosition
Style "*etscape*" Icon mini.xpm, NoUSPosition
Style "*ozilla*" Icon mini.xpm, NoUSPosition
Style * SmartPlacement, RandomPlacement

none have made any difference to this problem one way or the other.

thanks.
Comment 1 Christopher Blizzard 2002-01-25 15:01:29 EST
Mozilla doesn't support the -geometry option.
Comment 2 Karl Berry 2002-01-28 08:55:51 EST
1) this certainly seems like a bug to me. -geometry is perhaps the most basic X
option of all to support.
2) i already gathered that -geometry is not supported, that was my original
report. so, is there no way at all to specify the initial window position in
mozilla? this also seems like a significant bug to me.
Comment 3 Joe Harrington 2002-02-21 11:38:52 EST
I strongly agree.  There *must* be a way to demand the placement of any window
at a specific location and size.  All established methods should be supported,
including X resources and -geometry.  At most, dialog boxes might be excepted.

--jh--
Comment 4 Christopher Aillon 2005-03-31 03:00:40 EST
https://bugzilla.mozilla.org/show_bug.cgi?id=20573

Note You need to log in before you can comment on or make changes to this bug.